<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node20.html" />
<link rel="prev" href="node18.html" />
<link rel="parent" href="node8.html" />
<link rel="next" href="node20.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.6 The Digest Options Category</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.5 the Non-digest Options"
  href="node18.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.7 the Privacy Options"
  href="node20.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node18.html">2.5 The Non-digest Options</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node20.html">2.7 The Privacy Options</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION002260000000000000000">
2.6 The Digest Options Category</a>
</h2>

<p>
Digest delivery is a way to bundle many articles together into one
package, which can be delivered once per day (if there were any posted
articles), or whenever the package is bigger than a specified limit.
Some users may prefer this style of delivery for higher traffic lists
since they will receive fewer messages.

<p>
Mailman supports two standard digest formats, and if digests are
enabled, users can select which of the two formats they receive.  One
is MIME digests, where each message is an attachment inside a
<span class="mimetype">multipart/digest</span>.  This format also contains a summary
table of contents, and of course the an optional header and footer,
and it retains most of the headers of the original messages.

<p>
The second type is called ``plaintext'' digests because they are
readable in mail readers that don't support MIME.  Actually, they
adhere to the <a class="rfc" id='rfcref-1143' xml:id='rfcref-1143'
href="http://www.faqs.org/rfcs/rfc1153.html">RFC 1153</a> digest standard.  They retain some, but not
all of the original messages, but can also include a summary and
headers and footers.

<p>
Like non-digest delivery, you can enable or disable digest delivery,
but you cannot disable both types of delivery.  You can specify
different headers and footers for digest and non-digest deliveries.
You cannot personalize digest deliveries.

<p>
As list administrator, you may want to send an urgent message to all
list members, bypassing the normal digest bundling.  To do this, send
the message with a <span class="mailheader">Urgent:</span> header, where the value of the
header is the list administrator's password.  Non-digest members will
receive the message like normal, but digest members will receive the
message immediately<a name="tex2html7"
  href="#foot195"><sup>5</sup></a>.

<p>
Here are the variables which control digest delivery:

<p>
<dl>
<dt><strong>digestable</strong></dt>
<dd>The option controls whether members can receive digest deliveries
    or not.  If not, they will be forced to receive immediate
    deliveries.  You can't disable digests if non-digests are already
    disabled.

<p>
</dd>
<dt><strong>digest_is_default</strong></dt>
<dd>Controls which style of delivery is the default for new members.
    You can choose <em>Regular</em> (non-digest) or <em>Digest</em>
    delivery.

<p>
</dd>
<dt><strong>mime_is_default_digest</strong></dt>
<dd>If a member is allowed to choose digests, this variable controls
    which is the default digest style they will receive.  <em>Plain</em>
    digests are <a class="rfc" id='rfcref-1145' xml:id='rfcref-1145'
href="http://www.faqs.org/rfcs/rfc1153.html">RFC 1153</a> format as described above.

<p>
</dd>
<dt><strong>digest_size_threshold</strong></dt>
<dd>Normally, digest members get at least one message per day, if
    there have been any messages posted to the list.  However, for
    high volume lists, you may want to send out digests when the size
    has reached a certain threshold, otherwise, the one digest they
    receive could be huge.  This variable controls the size threshold
    by specifying the maximum digest size in kilobytes.  Note that
    this threshold isn't exact.  Set this variable to zero to specify
    that there is no size threshold, in which case no more than one
    digest will be sent out per day, but ensure that
    digest_send_periodic is <em>Yes</em> in this case or no digests will
    be sent.

<p>
</dd>
<dt><strong>digest_send_periodic</strong></dt>
<dd>This variable actually controls whether or not a digest is sent
    daily when the size threshold has not yet been met.  If set to
    <em>No</em>, then digests will only be sent when they are bigger
    than <code>digest_size_threshold</code>.

<p>
</dd>
<dt><strong>digest_header</strong></dt>
<dd>This text box lets you enter information that will be included in
    the header of every digest message sent through the list.  The
    same information can go in this header as can go in the
    <code>msg_header</code>, except for the personalization variables.

<p>
</dd>
<dt><strong>digest_footer</strong></dt>
<dd>Just like with the header, you can add a footer to every message.
    The same rules apply to digest footers as apply to digest headers.

<p>
</dd>
<dt><strong>digest_volume_frequency</strong></dt>
<dd>Each digest is numbered with a volume and an issue.  This variable
    controls how often a new digest volume is sent.  When the digest
    volume number is incremented, the issue number is reset to 1.

<p>
</dd>
<dt><strong>_new_volume</strong></dt>
<dd>This is an action variable, which forces an increment of the
    volume number as soon as you submit the form.

<p>
</dd>
<dt><strong>_send_digest_now</strong></dt>
<dd>This is another action variable.  Select <em>Yes</em>, submit the
    form, and the current digest is packaged up and sent to digest
    members, regardless of size (well, there has to be at least one
    message in the digest).
</dd>
</dl>

<p>
<br><hr><h4>Footnotes</h4>
<dl>
<dt><a name="foot195">... immediately</a><A
 HREF="node19.html#tex2html7"><sup>5</sup></a></dt>
<dd>They'll also receive the message in the
digest.

</dd>
</dl>
<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.5 the Non-digest Options"
  href="node18.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2 the List Configuration"
  href="node8.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.7 the Privacy Options"
  href="node20.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node18.html">2.5 The Non-digest Options</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node8.html">2 The List Configuration</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node20.html">2.7 The Privacy Options</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
